{% extends 'base.html.twig' %}

{% block title %}Nos annonces
{% endblock %}

{% block body %}
    <div class="container">
        <h1>Voicie les anonnonces de nos hôtel</h1>
<div class="row">
<!-- concept de variabme twig -->

{% for ad in ads %}
<!-- fonction set pour les url -->
{% set url = path('ads_show', {'slug': ad.slug}) %}

    <div class="col-md-4">
        <div class="card bg-light mb-3">
            <div class="card-header text-center" style="color: black;">
               {{ ad.rooms }} chambre, <strong>{{ ad.price }}</strong>
            </div>
            <a href="{{ url }}">
            <img src="{{ ad.coverImage }}" alt="Image de la personne" style="height: 200px; width: 100%; display: block;"/>
            </a>
            <div class="card-body">
                <h4 class="card-title" style="color: black;">
                   <a href="{{ url }}">
                   {{ ad.title }}
                   </a>
                </h4>
                <p class="cart-text" style="color: black;">
                   {{ ad.introduction }}
                </p>
                <a href="{{ url }}" class="btn btn-secondary">more informations</a>
            </div>
        </div>
    </div>
   
     {% endfor %}
</div>




</div>
{% endblock %}

